ldns documentation

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- _
- a
- b
- c
- d
- e
- f
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- w
- y

### - _ -

- _aa : ldns_struct_hdr
- _ad : ldns_struct_hdr
- _additional : ldns_struct_pkt
- _alg : ldns_struct_key
- _ancount : ldns_struct_hdr
- _answer : ldns_struct_pkt
- _answerfrom : ldns_struct_pkt
- _arcount : ldns_struct_hdr
- _authority : ldns_struct_pkt
- _axfr_i : ldns_struct_resolver
- _axfr_soa_count : ldns_struct_resolver
- _capacity : ldns_struct_buffer
- _cd : ldns_struct_hdr
- _compress : ldns_struct_rr_descriptor
- _cur_axfr_pkt : ldns_struct_resolver
- _data : ldns_struct_buffer , ldns_struct_rdf
- _debug : ldns_struct_resolver
- _defnames : ldns_struct_resolver
- _dname_count : ldns_struct_rr_descriptor
- _dnsrch : ldns_struct_resolver
- _dnssec : ldns_struct_resolver
- _dnssec_anchors : ldns_struct_resolver
- _dnssec_cd : ldns_struct_resolver
- _domain : ldns_struct_resolver
- _edns_data : ldns_struct_pkt
- _edns_extended_rcode : ldns_struct_pkt
- _edns_udp_size : ldns_struct_pkt , ldns_struct_resolver
- _edns_version : ldns_struct_pkt
- _edns_z : ldns_struct_pkt
- _extra : ldns_struct_key
- _fail : ldns_struct_resolver
- _fallback : ldns_struct_resolver
- _fixed : ldns_struct_buffer
- _header : ldns_struct_pkt
- _id : ldns_struct_hdr
- _igntc : ldns_struct_resolver
- _ip6 : ldns_struct_resolver
- _key : ldns_struct_key
- _key_count : ldns_struct_key_list
- _keys : ldns_struct_key_list
- _limit : ldns_struct_buffer
- _maximum : ldns_struct_rr_descriptor
- _minimum : ldns_struct_rr_descriptor
- _name : ldns_struct_rr_descriptor
- _nameserver_count : ldns_struct_resolver
- _nameservers : ldns_struct_resolver
- _nscount : ldns_struct_hdr
- _nsec3params : ldns_struct_dnssec_zone
- _opcode : ldns_struct_hdr
- _owner : ldns_struct_rr
- _port : ldns_struct_resolver
- _position : ldns_struct_buffer
- _pubkey_owner : ldns_struct_key
- _qdcount : ldns_struct_hdr
- _qr : ldns_struct_hdr
- _querytime : ldns_struct_pkt
- _question : ldns_struct_pkt
- _ra : ldns_struct_hdr
- _random : ldns_struct_resolver
- _rcode : ldns_struct_hdr
- _rd : ldns_struct_hdr
- _rd_count : ldns_struct_rr
- _rdata_fields : ldns_struct_rr
- _recursive : ldns_struct_resolver
- _retrans : ldns_struct_resolver
- _retry : ldns_struct_resolver
- _rr_capacity : ldns_struct_rr_list
- _rr_class : ldns_struct_rr
- _rr_count : ldns_struct_rr_list
- _rr_question : ldns_struct_rr
- _rr_type : ldns_struct_rr
- _rrs : ldns_struct_rr_list , ldns_struct_zone
- _rtt : ldns_struct_resolver
- _searchlist : ldns_struct_resolver
- _searchlist_count : ldns_struct_resolver
- _size : ldns_struct_pkt , ldns_struct_rdf
- _soa : ldns_struct_zone
- _socket : ldns_struct_resolver
- _source : ldns_struct_resolver
- _status : ldns_struct_buffer
- _tc : ldns_struct_hdr
- _timeout : ldns_struct_resolver
- _tsig_algorithm : ldns_struct_resolver
- _tsig_keydata : ldns_struct_resolver
- _tsig_keyname : ldns_struct_resolver
- _tsig_rr : ldns_struct_pkt
- _ttl : ldns_struct_rr
- _type : ldns_struct_rdf , ldns_struct_rr_descriptor
- _use : ldns_struct_key
- _usevc : ldns_struct_resolver
- _variable : ldns_struct_rr_descriptor
- _wireformat : ldns_struct_rr_descriptor

### - a -

- algorithm : ldns_tsig_credentials_struct
- array : ldns_radix_node_t

### - b -

- bitcount : _ldns_sha256_CTX , _ldns_sha512_CTX
- bitmap : ldns_struct_output_format_storage
- buffer : _ldns_sha256_CTX , _ldns_sha512_CTX , ldns_sha1_ctx

### - c -

- capacity : ldns_radix_node_t
- cmp : ldns_rbtree_t
- color : ldns_rbnode_t
- count : ldns_radix_t , ldns_rbtree_t , ldns_sha1_ctx

### - d -

- data : ldns_radix_node_t , ldns_rbnode_t , ldns_struct_output_format
- days : ldns_duration_struct
- dnssec : ldns_struct_key

### - e -

- edge : ldns_radix_array_t
- expiration : ldns_struct_key
- external_key : ldns_struct_key

### - f -

- flags : ldns_struct_key , ldns_struct_output_format , ldns_struct_output_format_storage

### - h -

- hashed_name : ldns_struct_dnssec_name
- hashed_names : ldns_struct_dnssec_zone
- hashmap : ldns_struct_output_format_storage
- hmac : ldns_struct_key
- hours : ldns_duration_struct

### - i -

- id : ldns_struct_lookup_table
- inception : ldns_struct_key
- is_glue : ldns_struct_dnssec_name

### - k -

- key : ldns_radix_node_t , ldns_rbnode_t , ldns_struct_key
- keydata : ldns_tsig_credentials_struct
- keyname : ldns_tsig_credentials_struct
- keytag : ldns_struct_key
- klen : ldns_radix_node_t

### - l -

- left : ldns_rbnode_t
- len : ldns_radix_array_t , ldns_radix_node_t

### - m -

- minutes : ldns_duration_struct
- months : ldns_duration_struct

### - n -

- name : ldns_struct_dnssec_name , ldns_struct_lookup_table
- name_alloced : ldns_struct_dnssec_name
- names : ldns_struct_dnssec_zone
- next : ldns_struct_dnssec_rrs , ldns_struct_dnssec_rrsets
- nsec : ldns_struct_dnssec_name
- nsec_signatures : ldns_struct_dnssec_name

### - o -

- offset : ldns_radix_node_t
- orig_ttl : ldns_struct_key
- original_object : ldns_schwartzian_compare_struct

### - p -

- packet_nodata : ldns_dnssec_data_chain_struct
- packet_qtype : ldns_dnssec_data_chain_struct
- packet_rcode : ldns_dnssec_data_chain_struct
- parent : ldns_dnssec_data_chain_struct , ldns_radix_node_t , ldns_rbnode_t
- parent_count : ldns_dnssec_trust_tree_struct
- parent_index : ldns_radix_node_t
- parent_signature : ldns_dnssec_trust_tree_struct
- parent_status : ldns_dnssec_trust_tree_struct
- parent_type : ldns_dnssec_data_chain_struct
- parents : ldns_dnssec_trust_tree_struct

### - r -

- right : ldns_rbnode_t
- root : ldns_radix_t , ldns_rbtree_t
- rr : ldns_dnssec_trust_tree_struct , ldns_struct_dnssec_rrs
- rrs : ldns_struct_dnssec_rrsets
- rrset : ldns_dnssec_data_chain_struct , ldns_dnssec_trust_tree_struct
- rrsets : ldns_struct_dnssec_name

### - s -

- seconds : ldns_duration_struct
- signatures : ldns_dnssec_data_chain_struct , ldns_struct_dnssec_rrsets
- size : ldns_struct_key
- soa : ldns_struct_dnssec_zone
- state : _ldns_sha256_CTX , _ldns_sha512_CTX , ldns_sha1_ctx
- str : ldns_radix_array_t

### - t -

- theChars : _ldns_sha2_buffer_union
- theLongs : _ldns_sha2_buffer_union
- timestamp : ldns_struct_pkt
- transformed_object : ldns_schwartzian_compare_struct
- type : ldns_struct_dnssec_rrsets

### - w -

- weeks : ldns_duration_struct

### - y -

- years : ldns_duration_struct